=== Rsource/R-0.61.2/demos/dynload/Makefile ===
# Generated automatically from Makefile.in by configure.
CC=gcc
CFLAGS=-g -fpic
LD=ld
SHLIBLDFLAGS=-shared

all:		zero.so

zero.so:	zero.o
		$(LD) $(SHLIBLDFLAGS) zero.o -o zero.so

zero.o:		zero.c
		$(CC) $(CFLAGS) -c zero.c

clean:
		@rm -f *.o *.so

realclean:
		@rm -f Makefile *.o *.so
