=== Rsource/R-0.61.2/src/appl/Makefile ===
# Generated automatically from Makefile.in by configure.
CC=gcc
CFLAGS=-g -I../include
FC=
FFLAGS=
AR=ar
RANLIB=ranlib
BLAS=blas.o zblas.o

OBJ= \
	approx.o \
	bakslv.o \
	binning.o \
	$(BLAS) \
	ch2inv.o \
	chol.o \
	cpoly.o \
	cumsum.o \
	distance.o \
	dpoco.o \
	dpodi.o \
	dpofa.o \
	dposl.o \
	dqrdc.o \
	dqrdc2.o \
        dqrls.o \
	dqrsl.o \
	dqrutl.o \
	dsvdc.o \
	dtrsl.o \
	eigen.o \
	fortran.o \
	fft.o \
	fmin.o \
	lminfl.o \
	lowess.o \
	machar.o \
	massdist.o \
	pretty.o \
	splines.o \
	stem.o \
	strsignif.o \
	tabulate.o \
	uncmin.o \
	zeroin.o

LIB=		../lib/libappl.a

$(LIB):		$(OBJ)
		$(AR) cr $(LIB) $(OBJ)
		$(RANLIB) $(LIB)

clean:
		@echo cleaning in appl
		@-rm -f *.o *.a

realclean:        
		@echo cleaning in appl
		@-rm -f *.o *.a Makefile
		@-rm -f `(cd ../appl.c ; ls *.c)`
		@-rm -f `(cd ../appl.f ; ls *.f)`
