=== Rsource/R-0.61.2/src/graphics/Makefile ===
# Generated automatically from Makefile.in by configure.
CC=gcc
CFLAGS=-g -I../include
AR=ar
RANLIB=ranlib

OBJS=	gdevice.o \
	graphics.o

LIB=	../lib/libgraphics.a

$(LIB):	$(OBJS)
	$(AR) cr $(LIB) $(OBJS)
	$(RANLIB) $(LIB)

$(OBJS):	../include/Graphics.h
gdevice.o:	../include/Platform.h

clean:
		@echo cleaning in graphics
		@-rm -f *.o *.a

realclean:        
		@echo cleaning in graphics
		@-rm -f *.o *.a Makefile
