=== Rsource/R-0.61.2/src/main/Makefile ===
# Generated automatically from Makefile.in by configure.
CC=gcc
CFLAGS=-g -I../include
LDCMD=gcc
DLLFLAGS=-rdynamic
PICFLAGS=-fpic
SHLIBLDFLAGS=-shared
LIBS=-lf2c -ldl -lreadline -lncurses -lm 
X_CFLAGS= -I/usr/X11R6/include
X_LIBS= -L/usr/X11R6/lib -lX11
X_EXTRA_LIBS=
X_PRE_LIBS= -lSM -lICE
FC=
YACC=bison -y

RLIBS=	\
		../lib/libgraphics.a \
		../lib/libunix.a \
		../lib/libappl.a \
		../lib/libmath.a

OBJS=		arithmetic.o \
		array.o \
		attrib.o \
		bind.o \
		builtin.o \
		character.o \
		coerce.o \
		colors.o \
		complex.o \
		context.o \
		cov.o \
		cum.o \
		dataframe.o \
		debug.o \
		deparse.o \
		deriv.o \
		dotcode.o \
		dstruct.o \
		duplicate.o \
		envir.o \
		errors.o \
		eval.o \
		format.o \
		fourier.o \
		iosupport.o \
		gram.o \
		list.o \
		logic.o \
		main.o \
		match.o \
		memory.o \
		model.o \
		names.o \
		objects.o \
		optimize.o \
		options.o \
		par.o \
		paste.o\
		plot.o \
		plot3d.o \
		plotmath.o \
		print.o \
		printarray.o \
		printvector.o \
		printutils.o \
		random.o \
		relop.o \
		saveload.o \
		scan.o \
		seq.o \
		sort.o \
		source.o \
		split.o \
		subassign.o \
		subscript.o \
		subset.o \
		summary.o \
		unique.o \
		util.o \
		version.o


R.binary:	$(OBJS) $(RLIBS)
		$(LDCMD) $(DLLFLAGS) -o R.binary $(OBJS) $(RLIBS) $(X_PRE_LIBS) $(X_LIBS) $(X_EXTRA_LIBS) $(LIBS)


install:	R.binary
		@cp R.binary ../../bin
		@echo R binary installed

$(OBJS):	../include/Defn.h

tags:		*.h *.c
		ctags *.h *.c

gram.c:		gram.y
		$(YACC) gram.y
		mv y.tab.c gram.c

clean:
		@echo cleaning in main
		@-rm -f R.binary R-Image *core *.o

realclean:        
		@echo cleaning in main
		@-rm -f Makefile R.binary R-Image *core *.o

dotcode.o:	../include/FFDecl.h ../include/FFTab.h

colors.o:	../include/Graphics.h
par.o:		../include/Graphics.h
plot.o:		../include/Graphics.h
plot3d.o:	../include/Graphics.h

arithmetic.o:	../include/Mathlib.h
random.o:	../include/Mathlib.h

deparse.o:	names.h
names.o:	names.h
printArray.o:	../include/Print.h
printMatrix.o:	../include/Print.h
printScalar.o:	../include/Print.h
printVector.o:	../include/Print.h
sprintScalar.o:	../include/Print.h
version.o:	../include/Platform.h
