=== Rsource/R-0.61.2/src/math/Makefile ===
# Generated automatically from Makefile.in by configure.
CC=gcc
CFLAGS=-g -I../include
AR=ar
RANLIB=ranlib

OBJ=	\
	mdefs.o fsquare.o fcube.o \
	fint.o fmax.o fmin2.o imin.o imax.o fsign.o \
	round.o prec.o sign.o \
	i1mach.o d1mach.o \
	beta.o gamma.o lbeta.o lgamma.o choose.o \
	dpsifn.o digamma.o \
	sexp.o snorm.o sunif.o \
	dbeta.o pbeta.o qbeta.o rbeta.o \
	dbinom.o pbinom.o qbinom.o rbinom.o \
	dcauchy.o pcauchy.o qcauchy.o rcauchy.o \
	dchisq.o pchisq.o qchisq.o rchisq.o \
	dexp.o pexp.o qexp.o rexp.o \
	df.o pf.o qf.o rf.o \
	dgamma.o pgamma.o qgamma.o rgamma.o \
	dgeom.o pgeom.o qgeom.o rgeom.o \
	dhyper.o phyper.o qhyper.o rhyper.o \
	dlnorm.o plnorm.o qlnorm.o rlnorm.o \
	dlogis.o plogis.o qlogis.o rlogis.o \
	dnbinom.o pnbinom.o qnbinom.o rnbinom.o \
	pnchisq.o qnchisq.o \
	dnorm.o pnorm.o qnorm.o rnorm.o \
	dpois.o ppois.o qpois.o rpois.o \
	dt.o pt.o qt.o rt.o \
	dunif.o punif.o qunif.o runif.o \
	dweibull.o pweibull.o qweibull.o rweibull.o

LIB=		../lib/libmath.a

$(LIB):		$(OBJ)
		$(AR) cr $(LIB) $(OBJ)
		$(RANLIB) $(LIB)

$(OBJ):		../include/Mathlib.h

clean:
		@echo cleaning in math
		@-rm -f *.o *.a

realclean:        
		@echo cleaning in math
		@-rm -f *.o *.a Makefile
