=== Rsource/R-0.61.2/src/unix/Makefile ===
# Generated automatically from Makefile.in by configure.
CC=gcc
CFLAGS=-g -I../include
AR=ar
RANLIB=ranlib
X_CFLAGS= -I/usr/X11R6/include


OBJ= \
	dataentry.o \
	devX11.o \
	devPS.o \
	dynload.o \
	edit.o \
	fileio.o \
	psx11.o \
	PostScript.o \
	devPicTeX.o \
	rotated.o \
	system.o

LIB=		../lib/libunix.a

$(LIB):		$(OBJ)
		$(AR) cr $(LIB) $(OBJ)
		$(RANLIB) $(LIB)

dataentry.o:	dataentry.h dataentry.c ../include/Defn.h
		$(CC) $(CFLAGS) $(X_CFLAGS) -c dataentry.c

fileio.o:	fileio.c ../include/Fileio.h
		$(CC) $(CFLAGS) -c fileio.c

rotated.o:	rotated.c rotated.h
		$(CC) $(CFLAGS) $(X_CFLAGS) -c rotated.c

devX11.o:	devX11.c psx11.h ../include/Graphics.h ../include/Defn.h
		$(CC) $(CFLAGS) $(X_CFLAGS) -c devX11.c

psx11.o:	psx11.c psx11.h ../include/Graphics.h ../include/Defn.h
		$(CC) $(CFLAGS) -c psx11.c

devPS.o:	devPS.c ../include/Graphics.h ../include/Defn.h
		$(CC) $(CFLAGS) -c devPS.c

devPicTeX.o:	devPicTeX.c ../include/Graphics.h ../include/Defn.h
		$(CC) $(CFLAGS) -c devPicTeX.c

system.o:	system.c ../include/Defn.h
		$(CC) $(CFLAGS) -c system.c

clean:
		@echo cleaning in unix
		@-rm -f *.o *.a

realclean:        
		@echo cleaning in unix
		@-rm -f *.o *.a Makefile
