=== Rsource/R-0.61.2/src/library/profile/Makefile ===
Rprofile:	Rprofile.unix
	@echo building system startup profile
	@cp Rprofile.unix ../../../library/base/R/Rprofile
