=== Rsource/R-0.61.2/src/library/eda/src-c/Makefile ===
LIBNAME=eda
LD=ld

OBJS=	line.o \
	smooth.o

eda.so:	$(OBJS)
	@$(LD) $(SHLIBLDFLAGS) -o $(LIBNAME).so $(OBJS)

clean:
	@rm -f *.o *.so

realclean:
	@rm -f Makefile *.o *.so
