=== debian/changelog ===
r-pdl (0.2-2) unstable frozen; urgency=low

  * Recompile to be compatible with currently installed
    version of pdl. (looks like magic numbers changed).

 -- John Lapeyre <lapeyre@physics.arizona.edu>  Wed, 18 Nov 1998 04:20:15 -0700

r-pdl (0.2-1) unstable; urgency=low

  * Initial Release.

 -- John Lapeyre <lapeyre@physics.arizona.edu>  Sat, 22 Aug 1998 17:53:00 -0700

Local variables:
mode: debian-changelog
add-log-mailing-address: "lapeyre@physics.arizona.edu"
End:
