=== debian/control ===
Source: r-pdl
Section: math
Priority: optional
Maintainer: John Lapeyre <lapeyre@physics.arizona.edu>
Standards-Version: 2.3.0.1

Package: r-pdl
Architecture: any
Depends:  pdl
Description: 'R' statistics for the perl data language
 r-pdl is an interface to a  collection of about 
 100 routines from the R statistics language, for pdl,
 the perl data language.  The routines give information
 and random deviates from common distributions used in
 statistics.  Provisions for a user defined random 
 number generator have been added to the original R
 code.
