=== debian/rules ===
#!/usr/bin/make -f
# PDL debian build rules
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.
 
package=r-pdl

ddir=`pwd`/debian/tmp

build:
	$(checkdir)
	perl Makefile.PL INSTALLDIRS=perl PREFIX=$(ddir)/usr INSTALLMAN1DIR=$(ddir)/usr/man/man1 INSTALLMAN3DIR=$(ddir)/usr/man/man3
	make CC=cc LD=cc
#	make doctest   dont make the docs do it in postinst
	touch build

clean:
	$(checkdir)
#   Restore original makefile.
#	if [ ! -e debian/perldl.conf.orig ]; \ 
#         then cp  perldl.conf  debian/perldl.conf.orig ; fi
#	cp -f debian/perldl.conf.orig perldl.conf
	-rm -f build
	-make clean
	-rm Rsource/R-0.61.2/config.cache
	-rm -f `find . -name "*~"`
	-rm -rf debian/tmp debian/files* core debian/substvars

binary-indep: checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch: checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	install -d debian/tmp/DEBIAN
	install -d debian/tmp/usr/doc/$(package)
# don't want to strip this, it gets some needed sybols
#	strip --strip-unneeded blib/arch/auto/PDL/R/*.so
	make pure_install
# these scripts are not part of the distribution, but we need them for
# postinst

# install standard docs
	install -m 644 debian/README.debian  debian/tmp/usr/doc/$(package)
	install -m 644 NOTES README  debian/tmp/usr/doc/$(package)
	cp debian/changelog debian/tmp/usr/doc/$(package)/changelog.Debian
	-gzip -9v debian/tmp/usr/doc/$(package)/*

# but don't gzip the copyright statement
#
	cp debian/copyright debian/tmp/usr/doc/$(package)/copyright

	chmod 644 debian/tmp/usr/man/man3/*
	gzip -9v debian/tmp/usr/man/man3/*

	dpkg-shlibdeps `ls blib/arch/auto/PDL/*/*.so`
	dpkg-gencontrol
	chown -R root.root debian/tmp
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..

define checkdir
	test -f debian/rules
endef

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot
